<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Transiformación rotación</title>
    <style>
       body {
           display: flex;
           align-items: center;
           justify-content: center;
           height: 100vh;
           color: white;
           font-family: Arial;
           perspective: 200px;
           /* perspective-origin: center; */
           /* perspective-origin: x, y; */
           /* perspective-origin: top; */
           /* perspective-origin: bottom; */
           /* perspective-origin: left; */
            /* perspective-origin: top right; */
       } 
       .container {
           border: 1px solid red;
       }
       .container:hover .cuadrado { 
           /* Eje X */
           transform: translate(100px);
           /* Eje X, Y */
           /* transform: translate(100px, 100px); */
           /* transform: translateX(100px); */
           /* transform: translateY(100px); */
           /* transform: translateZ(100px); */
           transform: translate3d(100px, 100px, 100px);

       }
       .cuadrado {
           width: 200px;
           height: 200px;
           background-color: #7dc900;
           margin: 20px;
           transition: .3s;
       }
    </style>
</head>
<body>
     <div class="container">
         <div class="cuadrado">
            Hola mundo!
         </div>
     </div>   
</body>
</html>